import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyValidatePoultryWithSmsStatusService =
  createAsyncThunk(
    "PROVINCE_GET_SMS_POULTRY_VALIDATE_STATUS",
    async (d, { dispatch }) => {
      try {
        dispatch(LOADING_START());
        const { data, status } = await axios.get("price-confirmation", {
          params: d,
        });
        dispatch(LOADING_END());
        return { data, status };
      } catch (e) {
        dispatch(LOADING_END());
        return { error: e.response.data.result };
      }
    }
  );

export const provincePolicyEditValidatePoultryWithSmsStatusService =
  createAsyncThunk(
    "PROVINCE_EDIT_SMS_POULTRY_VALIDATE_STATUS",
    async (d, { dispatch }) => {
      try {
        dispatch(LOADING_START());
        const { data, status } = await axios.put("price-confirmation/0/", d);
        dispatch(LOADING_END());
        return { data, status };
      } catch (e) {
        dispatch(LOADING_END());
        return { error: e.response.data.result };
      }
    }
  );
